Make initialization state of Core available and send notification when initialization finishes.

RESOLVED FIXED in 1.2

Status

Chat Core
General
--
enhancement
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: Mic, Assigned: Mic)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment, 1 obsolete attachment)

(Assignee)

Description

4 years ago
*** Original post on bio 1449 at 2012-05-20 17:57:00 UTC ***

It turns out that it can be useful for extension to know if the core is initialized already.

We should add an boolean attribute that reflects the state and send a notification when the initialization has finished.

http://log.bezut.info/instantbird/120520/#m115
(Assignee)

Comment 1

4 years ago
Created attachment 8353252 [details] [diff] [review]
Patch

*** Original post on bio 1449 as attmnt 1500 at 2012-05-21 14:32:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353252 - Flags: review?(florian)
(Assignee)

Updated

4 years ago
Assignee: nobody → benediktp
Status: NEW → ASSIGNED
*** Original post on bio 1449 at 2012-05-21 15:01:26 UTC ***

The patch looks reasonable.  I think we will want to add some form of documentation about this notification in the idl file. At the very least, match the comment that we have for the quit() method.
It would probably be better to document the intended use cases. IIRC, prpl-quit is used to tell protocol plugins that they shouldn't be doing anything any more after receiving it. If prpl-initialize (or should we name it prpl-init?) is the symmetric, maybe it's the notification telling protocol plugins (or add-ons in general?) that now is a great time to initialize themselves because the core services are ready?
*** Original post on bio 1449 at 2012-05-21 15:02:29 UTC ***

Also, maybe put the definition of the "initialized" attribute next to the init and quit methods in the idl file?
(Assignee)

Comment 4

4 years ago
Created attachment 8353261 [details] [diff] [review]
Patch

*** Original post on bio 1449 as attmnt 1509 at 2012-05-22 08:56:00 UTC ***

Added comments and moved init-related things next to each other.
Attachment #8353261 - Flags: review?(florian)
(Assignee)

Comment 5

4 years ago
Comment on attachment 8353252 [details] [diff] [review]
Patch

*** Original change on bio 1449 attmnt 1500 at 2012-05-22 08:56:13 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353252 - Attachment is obsolete: true
Attachment #8353252 - Flags: review?(florian)
Comment on attachment 8353261 [details] [diff] [review]
Patch

*** Original change on bio 1449 attmnt 1509 at 2012-05-22 22:43:53 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353261 - Flags: review?(florian) → review+
*** Original post on bio 1449 at 2012-05-22 23:09:21 UTC ***

Checked in as http://hg.instantbird.org/instantbird/rev/8bca26ec274e
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.2
You need to log in before you can comment on or make changes to this bug.